%define rname activerecord
%define name ruby-%{rname}
%define version 1.11.1
%define release 1mdk

Summary:	Object-Relational mapping library for Ruby
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://ar.rubyonrails.com/
Source0:	%{rname}-%{version}.tar.bz2
License:	MIT
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	ruby
BuildRequires:	ruby

%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')
%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_ridir %(ruby -rrbconfig -e 'include Config; print File.join(CONFIG["datadir"], "ri", CONFIG["ruby_version"])')

%description
Active Record connects business objects and database tables to create a
persistable domain model where logic and data is presented in one wrapping.
It's an implementation of the object-relational mapping (ORM) pattern.

%prep
%setup -q -n %{rname}-%{version}

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
chmod 0644 README

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT{%{ruby_libdir},%{ruby_ridir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_libdir}
cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

for f in `find %buildroot%{ruby_libdir} -name \*.rb`
do
        if head -n1 "$f" | grep '^#!' >/dev/null;
        then
                sed -i 's|/usr/local/bin|/usr/bin|' "$f"
                chmod 0755 "$f"
        else
                chmod 0644 "$f"
        fi
done


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_libdir}/*
%{ruby_ridir}/*
%doc CHANGELOG README examples rdoc

%changelog

* Tue Jul 19 2005 Pascal Terjan <pterjan@mandriva.org> 1.11.1-1mdk 
- First Mandriva release
